%{?python_enable_dependency_generator}
%global srcname terminado

Summary:        Terminals served to term.js using Tornado websockets
Name:           python-%{srcname}
Version:        0.18.0
Release:        2%{?dist}
License:        BSD-2-Clause
URL:            https://github.com/jupyter/terminado
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Terminals served to term.js using Tornado websockets
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{srcname}
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.

%prep
%autosetup -n %{srcname}-%{version}

sed -i 's/hatchling>=1.5/hatchling>=0.25/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc
%pytest -v
 

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md

%changelog
* Thu Sep 5 2024 Ze Zhang <bbrucezhang@tencent.com> - 0.18.0-2
- [Type] other
- [DESC] Recompile because build already exists

* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.18.0-1
- [Type] other
- [DESC] Update to 0.18.0
